body {
    font-family: Arial, sans-serif;
    background-color: #f8f9fa;
    padding: 20px;
}

.container {
    max-width: 800px;
    margin: 0 auto;
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

form {
    margin-bottom: 20px;
}

input.form-control {
    width: calc(100% - 22px);
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ced4da;
    border-radius: 4px;
}

button.btn {
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

button.btn-primary {
    background-color: #007bff;
    color: #fff;
}

button.btn-secondary {
    background-color: #6c757d;
    color: #fff;
    margin-top: 20px;
}

button.btn-danger {
    background-color: #dc3545;
    color: #fff;
}

button.btn-info {
    background-color: #17a2b8;
    color: #fff;
}

.grid-container {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.grid-item {
    background-color: #fff;
    padding: 20px;
    border: 1px solid #ced4da;
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0,0,0,0.1);
    flex: 1 1 calc(33.333% - 20px);
    box-sizing: border-box;
    text-align: center;
}

.grid-item img {
    max-width: 100%;
    height: auto;
    border-radius: 4px;
}

.grid-item h3 {
    margin: 10px 0;
}

.grid-item p {
    margin: 10px 0 20px;
}